<?php
// START APPOINTMENT SECTION 
$section = 'faq_section';
$wp_customize->add_section(
	$section,
	array(
		'title'   => __( 'FAQ', 'gurukul' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
    //ENABLE/DISABLE Appointment SECTION
/* //$wp_customize->add_setting(
	//$section.'_disable',
	//array(
	//	'sanitize_callback' => 'lz_fitness_sanitize_text',
	//	'default' => 'off'
	//)
//);
//$wp_customize->add_control(
	//new lz_fitness_Switch_Control(
		//$wp_customize,
		//$section.'_disable',
		//array(
			//'settings'      => $section.'_disable',
			//'section'       => $section,
			//'label'         => __( 'Disable Section', 'gurukul' ),
			//'on_off_label'  => array(
			//	'on' => __( 'Yes', 'gurukul' ),
				//'off' => __( 'No', 'gurukul' )
			//)   
		//)
	//)
//);*/

//backgroundManager($wp_customize, 'faq', $section, $color='#fff');

// Adding the Label
lzCustomLable($wp_customize, $section.'_title_subtitle_heading', $section, 'Section Title & Sub Title');

//add textarea
lzAddElement($wp_customize, $section.'_title', $section, 'text', $label="Title", 'lz_fitness_sanitize_text', 'FAQ');
lzAddElement($wp_customize, $section.'_subtitle', $section, 'text', $label="Subtitle", 'lz_fitness_sanitize_text', 'FREQUENTLY ASKED QUESTIONS');


//add textarea
//lzAddElement($wp_customize, $section.'_sub_title', $section, 'textarea', $label="Sub Title", 'lz_fitness_sanitize_text', 'FAQ Sub Title');

// Heading color
addColorPalatOption($wp_customize, $section.'_HeadingColor', $section, 'Heading color', '#2a2a2a');
// Text color
//addColorPalatOption($wp_customize, $section.'_TextColor', $section, 'Text color', '#333333');

// Adding the Label
lzCustomLable($wp_customize, $section.'_npp_heading', $section, 'Number Of FAQ\'s at home page');

$limit = array(1,2,3,4,5,6,7,8);
//add textarea
lzAddElement($wp_customize, $section.'_npp_count', $section, 'select', $label="Number of FAQ to show", 'lz_fitness_sanitize_text', 2, $limit);

// Adding the Label
lzCustomLable($wp_customize, $section.'_page', $section, 'Select the FAQ PAGE');

	$wp_customize->add_setting(
        $section.'_page_link',
        array(
            'sanitize_callback' => 'absint',
            'default'           => 0,
        )
    );
    $wp_customize->add_control(
        $section.'_page_link',
        array(
            'settings'      => $section.'_page_link',
            'section'       => $section,
            'type'          => 'dropdown-pages',
            'label'         => __( 'Select a FAQ', 'gurukul' )
        )
    );
// END FAQ SECTION 